Endpoints for managing observers on a signature request.
List observers of a signature request
Returns all observers added to the SignatureRequest with the ID SR_ID.
path Parameters
SR_IDUnique ID received when creating the Signature Request object
List observers of a signature request › Responses
OK
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object · type="USER" · requires: id, invited_at, invited_by +1 more | |
| type = object · type="GROUP" · requires: id, invited_at, invited_by +1 more |
idUnique observer identifier.
typeObserver type.
invited_atTimestamp when the observer was invited.
invited_byIdentifier of the user or API key that invited the observer.
Information about the user observer.
Add an observer to a signature request
Adds an observer to the specified signature request.
Observers receive email notifications about signing progress and can view documents, but cannot sign them.
Adding a group observer requires the group-observers feature to be enabled
for the business. If it is not, the request fails with 403 Forbidden
(problem type feature-not-enabled).
path Parameters
SR_IDUnique ID received when creating the Signature Request object
Add an observer to a signature request › Request Body
typeType of observer target.
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object · requires: type | |
| type = object · requires: type, group_id |
typeDecision Table
| Variant | Matching Criteria |
|---|---|
| requires: email | |
| requires: user_id |
emailEmail address of the user.
Add an observer to a signature request › Responses
OK
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object · type="USER" · requires: id, invited_at, invited_by +1 more | |
| type = object · type="GROUP" · requires: id, invited_at, invited_by +1 more |
idUnique observer identifier.
typeObserver type.
invited_atTimestamp when the observer was invited.
invited_byIdentifier of the user or API key that invited the observer.
Information about the user observer.
Get an observer of a signature request
Returns the observer identified by OBSERVER_ID from the SignatureRequest
with the ID SR_ID.
path Parameters
SR_IDUnique ID received when creating the Signature Request object
OBSERVER_IDUnique ID returned when the Signature Observer is created.
Get an observer of a signature request › Responses
OK
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object · type="USER" · requires: id, invited_at, invited_by +1 more | |
| type = object · type="GROUP" · requires: id, invited_at, invited_by +1 more |
idUnique observer identifier.
typeObserver type.
invited_atTimestamp when the observer was invited.
invited_byIdentifier of the user or API key that invited the observer.
Information about the user observer.
Remove an observer from a signature request
Deletes the observer identified by OBSERVER_ID from the SignatureRequest
with the ID SR_ID.
path Parameters
SR_IDUnique ID received when creating the Signature Request object
OBSERVER_IDUnique ID returned when the Signature Observer is created.
Remove an observer from a signature request › Responses
OK
